# --------------------------------------------------------------  
# (C)Copyright 2001,2007,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              

########################################################################
#                       Target
########################################################################

TARGET_PROCESSOR	:= $(notdir $(CURDIR))

LIBRARY		 	:= libfft_example.a
SHARED_LIBRARY		:= libfft_example.so


########################################################################
#                       Local Defines
########################################################################

INCLUDE			:= -I../../matrix


########################################################################
#                       Objects
########################################################################

COMMON_OBJS		:= fft_2d.o

ifeq "$(TARGET_PROCESSOR)" "spu"
  TARGET_OBJS		:= fft_1d_r2.o
  INSTALL_FILES		:= fft_1d.h

  CFLAGS_xlc		:= -qnounroll
endif

OBJS            	:= $(COMMON_OBJS) $(TARGET_OBJS)

C_FROM_LIBRARY_AWK	:= $(OBJS:.o=.c)


########################################################################
#			Install
########################################################################

INSTALL_FILES	  += libfft_example.h				\
                     $(patsubst %.o,%.h, $(COMMON_OBJS))	\
                     $(patsubst %.o,%.h, $(TARGET_OBJS))


########################################################################
#			Common Lib Rules
########################################################################

include ../../lib.mk
