# --------------------------------------------------------------  
# (C)Copyright 2001,2006,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              

########################################################################
#			Target
########################################################################

# Determine the target processor by the subdirectory where the
# library is being built (e.g. ppu, ppu64, spu).

TARGET_PROCESSOR	:= $(notdir $(CURDIR))

LIBRARY			:= libimage.a
SHARED_LIBRARY		:= libimage.so


########################################################################
#			Local Defines
########################################################################

INCLUDE		 	:= -I../../misc -I../../intrinsics


########################################################################
#			Objects
########################################################################

OBJS			:= conv3x3_1f.o		\
			   conv3x3_1us.o	\
			   conv3x3_4ub.o	\
			   conv5x5_1f.o		\
			   conv5x5_1us.o	\
			   conv5x5_4ub.o	\
			   conv7x7_1f.o		\
			   conv7x7_1us.o	\
			   conv7x7_4ub.o	\
			   conv9x9_1f.o		\
			   conv9x9_1us.o	\
			   conv9x9_4ub.o	\
			   histogram_ub.o

C_FROM_LIBRARY_AWK	:= $(OBJS:.o=.c) 


########################################################################
#			Install
########################################################################

INSTALL_FILES		:= libimage.h			\
			   conv_defs.h			\
			   conv_shuf.h			\
			   conv_shuf_ub.h		\
			   conv_shuf_us.h		\
			   $(patsubst %.o,%.h, $(OBJS))


########################################################################
#			Common Lib Rules
########################################################################

include ../../lib.mk
