# --------------------------------------------------------------  
# (C)Copyright 2001,2007,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              

########################################################################
#			Targets
########################################################################

ifneq "$(TARGET_PROCESSOR:_trace=)" "$(TARGET_PROCESSOR)"
    TARGET_PROCESSOR	:= $(TARGET_PROCESSOR:_trace=)
    BUILD_TRACE		:= 1
endif

ifdef SHARED_LIBRARY
  ifeq "$(TARGET_PROCESSOR:_shared=)" "$(TARGET_PROCESSOR)"
    # Build objects for a non-shared library.
    SHARED_LIBRARY	:=
  else
    # Build objects for a shared library (using -fpic).
    LIBRARY		:=
    TARGET_PROCESSOR	:= $(TARGET_PROCESSOR:_shared=)
  endif
endif

########################################################################
#			Local Defines
########################################################################

VPATH		 	+= ..

C_BUILT_HERE		+= $(C_FROM_LIBRARY_AWK)	\
			   $(C_FROM_LIBRARY2_AWK)

INSTALL_DIR		 = $(EXP_SDKINC)
ifdef BUILD_TRACE
TARGET_INSTALL_DIR	 = $(EXP_SDKLIB)/trace
else
TARGET_INSTALL_DIR	 = $(EXP_SDKLIB)
endif


########################################################################
#			buildutils/make.footer
########################################################################

ifdef CELL_TOP
	include $(CELL_TOP)/buildutils/make.footer
else
	include ../../../../buildutils/make.footer
endif


########################################################################
#			Local Build Rules
########################################################################

ifdef C_FROM_LIBRARY_AWK
$(C_FROM_LIBRARY_AWK): %.c: ../../library.awk %.h $(ALIAS_FILE)
	@echo Creating $@
	@$(AWK) -v ALIAS_FILE=$(word 3,$^) -f $< $(word 2,$^) > $@ || $(RM) $@
endif

ifdef C_FROM_LIBRARY2_AWK
$(C_FROM_LIBRARY2_AWK): %.c: ../../library2.awk %.h $(ALIAS_FILE)
	@echo Creating $@
	@$(AWK) -v ALIAS_FILE=$(word 3,$^) -f $< $(word 2,$^) > $@ || $(RM) $@
endif

# The following optional lines tell 'make' that the makefiles and 
# awk files are static and thus do not need to be rebuilt
../../lib.mk ../../library.awk ../../library2.awk  \
../$(notdir $(CURDIR:/$(TARGET_PROCESSOR)=)).mk: ;
