# --------------------------------------------------------------  
# (C)Copyright 2001,2006,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              
BEGIN {
    func_def = 0;
    retval = 1;
}

/static[ 	]*__inline/	{ func_def = 1 }
/static[ 	]*__inline[ 	]*void/	{ retval = 0 }
/static[ 	]*__inline[ 	]*void[ 	]*[*]/	{ retval = 1 }
{
    if (func_def == 1)
    {
	name = ARGV[ARGIND];
	printf ("#include \"%s\"\n\n", name);

	gsub ("
", "", $0);
	sub ("static[ 	]*__inline[ 	]*", "", $0);
	sub (" _", " ", $0);
	printf ("%s\n{\n", $0);

	# Extract the subroutine name
	count = split($0, funclist, "(");
	name = funclist[1];
	count = split(name, namelist, " ");
	name = namelist[count];

	params = $0;
	gsub ("[a-zA-Z0-9_* ]*[(]", "", params);         
	gsub ("[)][a-zA-Z0-9_;* ]*", "", params);         


	if (retval == 1) {
	    printf ("    return _%s(", name);
	} else {
	    printf ("    _%s(", name);
	}

	# For each parameter, extract the parameter name 
	count = split(params, paramlist, ",");
	for (i=1; i<=count; i++) {
	    param = paramlist[i];

	    pcount = split(param, plist, " ");
	    pname = plist[pcount];

	    # Remove leading * and trailing [#]
	    gsub ("*", "", pname);
	    gsub ("[[][0-9]*]", "", pname);

	    if (i > 1) printf (", ");
	    printf ("%s", pname);
	}

	printf(");\n}\n");
	func_def = 0;
    }
    retval = 1;
}

END {
    if (ALIAS_FILE)
    {
	cmd = sprintf ("fgrep %s%s%s %s", "\"\\\"", name, "\"\\\"", ALIAS_FILE);
	system (cmd);
    }
}
