# --------------------------------------------------------------  
# (C)Copyright 2001,2007,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              

########################################################################
#			Target
########################################################################

TARGET_PROCESSOR := spu

LIBRARY		 := libmpm.a


########################################################################
#			Local Defines
########################################################################

OBJS		:= mpm_abs.o			\
		   mpm_add.o			\
		   mpm_add2.o			\
		   mpm_add3.o			\
		   mpm_add_partial.o		\
		   mpm_cmpeq.o			\
		   mpm_cmpeq2.o			\
		   mpm_cmpge.o			\
		   mpm_cmpge2.o			\
		   mpm_cmpgt.o			\
		   mpm_cmpgt2.o			\
		   mpm_div.o			\
		   mpm_div2.o			\
		   mpm_fixed_mod_reduction.o	\
		   mpm_gcd.o			\
		   mpm_madd.o			\
		   mpm_mod.o			\
		   mpm_mod_exp.o		\
		   mpm_mod_exp2.o		\
		   mpm_mod_exp3.o		\
		   mpm_mont_mod_exp.o		\
		   mpm_mont_mod_exp2.o		\
		   mpm_mont_mod_exp3.o		\
		   mpm_mont_mod_mul.o		\
		   mpm_mul.o			\
		   mpm_mul_inv.o		\
		   mpm_mul_inv2.o		\
		   mpm_mul_inv3.o		\
		   mpm_neg.o			\
		   mpm_sizeof.o			\
		   mpm_square.o			\
		   mpm_sub.o			\
		   mpm_sub2.o			\
		   mpm_swap_endian.o

C_FROM_LIBRARY_AWK := $(OBJS:.o=.c)

ifeq "$(TARGET_PROCESSOR)" "spu"
  CFLAGS_xlc	   := -qnounroll
endif


########################################################################
#			Install
########################################################################

INSTALL_FILES	   := libmpm.h				\
		      mpm_defines.h			\
		      mpm_macros.h			\
		      $(patsubst %.o,%.h, $(OBJS))


########################################################################
#			Common Lib Rules
########################################################################

include ../../lib.mk
