# --------------------------------------------------------------  
# (C)Copyright 2001,2006,                                         
# International Business Machines Corporation,                    
# Sony Computer Entertainment, Incorporated,                      
# Toshiba Corporation,                                            
#                                                                 
# All Rights Reserved.                                            
#                                                                 
# Redistribution and use in source and binary forms, with or      
# without modification, are permitted provided that the           
# following conditions are met:                                   
#                                                                 
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer. 
#                                                                 
# - Redistributions in binary form must reproduce the above       
#   copyright notice, this list of conditions and the following   
#   disclaimer in the documentation and/or other materials        
#   provided with the distribution.                               
#                                                                 
# - Neither the name of IBM Corporation nor the names of its      
#   contributors may be used to endorse or promote products       
#   derived from this software without specific prior written     
#   permission.                                                   
#                                                                 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND          
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,     
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE        
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR            
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT    
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;    
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)        
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN       
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR    
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,  
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
# --------------------------------------------------------------  
# PROLOG END TAG zYx                                              

########################################################################
#			Target
########################################################################

# Determine the target processor by the subdirectory where the
# library is being built (e.g. ppu, ppu64, spu).

TARGET_PROCESSOR	:= $(notdir $(CURDIR))

LIBRARY			:= libvector.a
SHARED_LIBRARY		:= libvector.so


########################################################################
#			Local Defines
########################################################################


########################################################################
#			Objects
########################################################################

INLINE_BUILT_OBJS	:=			clipcode_ndc_v.o	\
			   clip_ray.o					\
			   cross_product3.o	cross_product3_v.o	\
			   cross_product4.o				\
						dot_product3_v.o	\
						dot_product4_v.o	\
			   inv_length_vec3.o	inv_length_vec3_v.o	\
			   length_vec3.o	length_vec3_v.o		\
			   lerp_vec4.o					\
						lerp_vec2_v.o		\
						lerp_vec3_v.o		\
						lerp_vec4_v.o		\
			   normalize3.o		normalize3_v.o		\
			   normalize4.o					\
			   reflect_vec3.o	reflect_vec3_v.o	\
			   splat_dot_product3.o				\
			   xform_norm3.o	xform_norm3_v.o		\
			   xform_vec3.o		xform_vec3_v.o		\
			   xform_vec4.o		xform_vec4_v.o

NON_INLINE_BUILT_OBJS	:= clipcode_ndc.o				\
			   dot_product3.o				\
			   dot_product4.o				\
			   intersect_ray_triangle.o			\
			   intersect_ray_triangle_v.o			\
			   intersect_ray1_triangle8_v.o			\
			   intersect_ray8_triangle1_v.o			\
			   load_vec_float4.o				\
			   load_vec_int4.o				\
			   sum_across_float3.o				\
			   sum_across_float4.o

OBJS			:= $(INLINE_BUILT_OBJS) $(NON_INLINE_BUILT_OBJS)

ALIAS_FILE		:= libvector-alias

ifeq "$(TARGET_PROCESSOR)" "spu"
  C_FROM_LIBRARY_AWK	:= $(OBJS:.o=.c)
else
  C_FROM_LIBRARY_AWK	:= $(INLINE_BUILT_OBJS:.o=.c)
  C_FROM_LIBRARY2_AWK	:= $(NON_INLINE_BUILT_OBJS:.o=.c)
endif


########################################################################
#			Install
########################################################################

INSTALL_FILES		:= libvector.h				\
			   xform_vec_macros.h			\
			   $(patsubst %.o,%.h, $(OBJS))


########################################################################
#			Common Lib Rules
########################################################################

include ../../lib.mk
